Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.runners
Class MockitoJUnit44Runner

    java.lang.Object
      org.junit.runner.Runner
          org.mockito.runners.MockitoJUnitRunner
              org.mockito.runners.MockitoJUnit44Runner

All Implemented Interfaces:
  org.junit.runner.Describable, org.junit.runner.manipulation.Filterable

Deprecated.

    @Deprecated
    public class MockitoJUnit44Runner

extends MockitoJUnitRunner

Deprecated: Simply use `MockitoJUnitRunner`

Compatible only with JUnit 4.4, this runner adds following behavior:

- Initializes mocks annotated with `Mock`, so that explicit usage of `MockitoAnnotations.initMocks(Object)` is not necessary. Mocks are initialized before each test method.
- validates framework usage after each test method. See javadoc for `Mockito.validateMockitoUsage()`.

Runner is completely optional - there are other ways you can get @Mock working, for example by writing a base class. Explicitly validating framework usage is also optional because it is triggered automatically by Mockito every time you use the framework. See javadoc for `Mockito.validateMockitoUsage()`.

Read more about @Mock annotation in javadoc for `MockitoAnnotations`

Example:

     @RunWith(MockitoJUnitRunner.class)
     public class ExampleTest {

         @Mock
         private List list;

         @Test
         public void shouldDoSomething() {
             list.add(100);
         }
     }

Constructor Summary
`MockitoJUnit44Runner(java.lang.Class<?> klass)` Deprecated.

Method Summary

Methods inherited from class org.mockito.runners.MockitoJUnitRunner
`filter, getDescription, run`

Methods inherited from class org.junit.runner.Runner
`testCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockitoJUnit44Runner

    public MockitoJUnit44Runner(java.lang.Class<?> klass)
                         throws java.lang.reflect.InvocationTargetException

  Deprecated.
  Throws:
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD